## golang-oras-oras-go 1.1.1

=== Makefile ===
# TODO: use this for fetch-dist
TARGET_OBJS ?= todo1.txt todo2.txt

.PHONY: test
test: vendor check-encoding
	./scripts/test.sh

.PHONY: covhtml
covhtml:
	open .cover/coverage.html

.PHONY: acceptance
acceptance:
	./scripts/acceptance.sh

.PHONY: clean
clean:
	git status --ignored --short | grep '^!! ' | sed 's/!! //' | xargs rm -rf

.PHONY: check-encoding
check-encoding:
	! find pkg examples -name "*.go" -type f -exec file "{}" ";" | grep CRLF
	! find scripts -name "*.sh" -type f -exec file "{}" ";" | grep CRLF

.PHONY: fix-encoding
fix-encoding:
	find pkg examples -type f -name "*.go" -exec sed -i -e "s/\r//g" {} +
	find scripts -type f -name "*.sh" -exec sed -i -e "s/\r//g" {} +

.PHONY: vendor
vendor:
	GO111MODULE=on go mod vendor

# TODO: use this
.PHONY: fetch-dist
fetch-dist:
	mkdir -p _dist
	cd _dist && \
	for obj in ${TARGET_OBJS} ; do \
		curl -sSL -o oras_${VERSION}_$${obj} https://github.com/oras-project/oras-go/releases/download/v${VERSION}/oras_${VERSION}_$${obj} ; \
	done

# 1. mkdir _dist/
# 2. manually download .zip / .tar.gz from release page
# 3. move files into _dist/
# 4. make sign
# 5. upload .asc files back to release page
.PHONY: sign
sign:
	for f in $$(ls _dist/*.{zip,tar.gz} 2>/dev/null) ; do \
		gpg --armor --detach-sign $${f} ; \
	done

.PHONY: checksums
checksums:
	cd _dist/ && \
	for f in $$(ls *.{zip,tar.gz} 2>/dev/null) ; do \
		shasum -a 256 $${f} ; \
	done

## golang-oras-oras-go 1.1.0

=== debian/changelog ===
golang-oras-oras-go (1.1.0-2) unstable; urgency=medium

  * Fix name of Copyright holders

 -- Andreas Tille <tille@debian.org>  Tue, 22 Feb 2022 09:51:12 +0100

golang-oras-oras-go (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #1005213)

 -- Andreas Tille <tille@debian.org>  Wed, 09 Feb 2022 18:42:51 +0100

=== debian/control ===
Source: golang-oras-oras-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-containerd-containerd-dev,
               golang-github-docker-docker-dev,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-sync-dev,
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-oras-oras-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-oras-oras-go.git
Homepage: https://github.com/oras-project/oras-go
Rules-Requires-Root: no
XS-Go-Import-Path: oras.land/oras-go

Package: golang-oras-oras-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-containerd-containerd-dev,
         golang-github-docker-docker-dev,
         golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-github-pkg-errors-dev,
         golang-golang-x-sync-dev,
         ${misc:Depends}
Description: ORAS Go library
 Registries are evolving as generic artifact stores. To enable this goal,
 the ORAS project provides a way to push and pull OCI Artifacts to and
 from OCI Registries.
 .
 Users seeking a generic registry client can benefit from the ORAS CLI,
 while developers can build their own clients on top of one of the ORAS
 client libraries.
 .
 This package contains the library code.

## golang-oras-oras-go 1.1.1

=== debian/changelog ===
golang-oras-oras-go (1.1.1-1ubuntu1) kinetic; urgency=medium

  * d/control: Add new dependencies to resolve FTBFS

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Wed, 29 Jun 2022 13:26:48 -0500

golang-oras-oras-go (1.1.1-1) unstable; urgency=medium

  * New upstream version 1.1.1

 -- Nilesh Patra <nilesh@debian.org>  Wed, 27 Apr 2022 15:26:50 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,8 @@
 Source: golang-oras-oras-go
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -9,12 +11,16 @@
                golang-any,
                golang-github-containerd-containerd-dev,
                golang-github-docker-docker-dev,
+               golang-github-klauspost-compress-dev,
+               golang-github-moby-locker-dev,
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
                golang-github-pkg-errors-dev,
+               golang-github-sirupsen-logrus-dev,
                golang-github-stretchr-testify-dev,
                golang-golang-x-crypto-dev,
                golang-golang-x-sync-dev,
+               golang-google-grpc-dev,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-oras-oras-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-oras-oras-go.git
@@ -27,10 +33,14 @@
 Multi-Arch: foreign
 Depends: golang-github-containerd-containerd-dev,
          golang-github-docker-docker-dev,
+         golang-github-klauspost-compress-dev,
+         golang-github-moby-locker-dev,
          golang-github-opencontainers-go-digest-dev,
          golang-github-opencontainers-image-spec-dev,
          golang-github-pkg-errors-dev,
+         golang-github-sirupsen-logrus-dev,
          golang-golang-x-sync-dev,
+         golang-google-grpc-dev,
          ${misc:Depends}
 Description: ORAS Go library
  Registries are evolving as generic artifact stores. To enable this goal,

## golang-oras-oras-go 2.5.0

=== debian/changelog ===
golang-oras-oras-go (2.5.0-1) unstable; urgency=medium

  [ Ritesh Kumar ]
  * New upstream version 2.5.0

  [ Nilesh Patra ]
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Update B-D and Depends
  * Drop 0001-Ignore-tests-which-needs-github.com-distribution-dis.patch
  * Minor fixes in copyright (Update years)
  * Add patch to fixup upstream test

 -- Nilesh Patra <nilesh@debian.org>  Tue, 18 Jun 2024 22:30:43 +0530

=== debian/control ===
Source: golang-oras-oras-go
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Nilesh Patra <nilesh@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-opencontainers-go-digest-dev,
               golang-github-opencontainers-image-spec-dev,
               golang-golang-x-sync-dev
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-oras-oras-go
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-oras-oras-go.git
Homepage: https://github.com/oras-project/oras-go
Rules-Requires-Root: no
XS-Go-Import-Path: oras.land/oras-go

Package: golang-oras-oras-go-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-opencontainers-go-digest-dev,
         golang-github-opencontainers-image-spec-dev,
         golang-golang-x-sync-dev,
         ${misc:Depends}
Description: ORAS Go library
 Registries are evolving as generic artifact stores. To enable this goal,
 the ORAS project provides a way to push and pull OCI Artifacts to and
 from OCI Registries.
 .
 Users seeking a generic registry client can benefit from the ORAS CLI,
 while developers can build their own clients on top of one of the ORAS
 client libraries.
 .
 This package contains the library code.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/oras-project/oras-go/tags .*/v?(\d\S*)\.tar\.gz debian

## golang-oras-oras-go 2.6.0

=== debian/changelog ===
golang-oras-oras-go (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0 (drop all patches)
  * d/gbp.conf: Add upstream-branch field
  * Bump Standards-Version to 4.7.2 (no changes needed)
  * Drop redundant "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@debian.org>  Mon, 20 Oct 2025 02:06:12 +0530

=== debian/control ===
--- 
+++ 
@@ -11,11 +11,10 @@
                golang-github-opencontainers-go-digest-dev,
                golang-github-opencontainers-image-spec-dev,
                golang-golang-x-sync-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-oras-oras-go
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-oras-oras-go.git
 Homepage: https://github.com/oras-project/oras-go
-Rules-Requires-Root: no
 XS-Go-Import-Path: oras.land/oras-go
 
 Package: golang-oras-oras-go-dev

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_fixperms:
	find debian/*/usr/share/gocode/src/oras.land/oras-go -type f -executable -exec chmod -x \{\} \;

execute_before_dh_auto_test:
	# do the same as scripts/test.sh
	mkdir -p _build/src/oras.land/oras-go/.test

execute_after_dh_auto_test:
	rm -rf _build/src/oras.land/oras-go/.test
